2.0.0
* python3 migration
* WaveId is now DevULong instead of DevLong (zlib.crc32 now returns unsigned 32 bits int instead of signed)
* logging adapted to new python3 PowerSupply library
* useless unused imports removed

1.12.9
BrukerEC_PS fixed memorized values bug

1.12.8
* __init__ modified to keep export backwards compatibility
* avoid global usage of tango.Database() due to https://github.com/tango-controls/cppTango/issues/145

1.12.7
* setup.py added and source structure reorganized

1.12.6
* rework of cabinet and power supply state handling in order to faciliate synthesis and anlysis of ErrorCode attribute. Likely to break a lot of things.

1.12.2
* improve robustness of download verification feature to avoid trouble while
  import BO correctors
* tuning.py: eliminates trace at startup caused by DevFailed (RegulationTuneable attribute not found)
* cabinet.py restart(): call start() with keyword argument re
* BrukerBend: only tries to set_write_value() for WRITE-able attributes
* BrukerBend: made WaveName READ only (both because TANGO C++ bug 3068607
      and writing is not sensible anyway unless both bendings use the same ramp)
* adds forgotten 0x0E and 0x0F states to dipole / quadrupole power supplies
* setpoint readback outside regular limits (after restart)_ will not affect reading of CurrentSetpoint

1.12.1
* make difference in WaveName be okay (green, VALID) instead of alarm (orange)
* cabinet.py:checked_command() fix for wrong status code being returned
* cabinet.py:checked_command() fix for harmless can bus timeout blocking
  communication
* slightly changing cabinet status message for cabinets without relay board
* increased socket timeout for reads to 2.5, after seeing socket.timeouts
  where the power supply is working fine
* remove Waveform from unified interface
* socket.error will now cause a (transitory) communication error message to be
  shown (short termn communication errors that appear and disapper quickly
  should NOT be observed during normal operation)

1.12.0
* not pushing WaveName anymore working around a bug in Tango fixed in 7.2
* added ErrorCode2,3,4 for bend / quadrupole power supplies
* ErrorCode includes now the state as well
* removed command UpdateState from Tango level to avoid accidentically polling it
* major internal changes in cabinet state handling, in order to provide
  explanation of ErrorCode attributes

1.11
* fixes problem preventing regulation parameters to be written even when
  RegulationTuneable was set to True
* ResetInterlocks: limits calls to bsw_tcp_repeater2 to at most once every 10 s
* lowers command read timeout to 2 seconds
* replaces push_changing by push_vdq
* removed all_initialized check
* eliminates bogus ControlTrace at init when cab.stat was None
* fixes some pychecker warnings related to imports
* using BUSY for waveform uploads and downloads
* PSType.mask_cab replaced by Cabinet.mask
* customize cabinet interlock messages
* retain telnet connections

1.10
* queueing writes while loading waveforms
* fixes telnet commands related hangs
* improved of connection refused errors (cPCI being abruptly shutdown)
* removed all_initialized check

1.9
* improved synchronization feature added to BrukerBend_PS.py
* error messages for slave and buck power supply modules

Communication
* improved handling of control units going offline, and coming back
* retry can bus commands upto three times
* can bus errors will only block the originating power supply, so others will
  remain usable
* wave up- and downloads will not cause can bus errors anymore
